import matplotlib.pyplot as plt
numargs = triang.numargs
[ c ] = [0.9,] * numargs
rv = triang(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = triang.cdf(x, c)
h = plt.semilogy(np.abs(x - triang.ppf(prb, c)) + 1e-20)

# Random number generation

R = triang.rvs(c, size=100)
